Ruby: zip64_internal Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
zip64_internal Struct Reference

## Data Fields
zlib_filefunc64_32_def | z_filefunc
voidpf | filestream
linkedlist_data | central_dir
int | in_opened_file_inzip
curfile64_info | ci
ZPOS64_T | begin_pos
ZPOS64_T | add_position_when_writing_offset
ZPOS64_T | number_entry
char * | globalcomment

## Detailed Description

Definition at line 165 of file zip.c.

## Field Documentation

## ◆ add_position_when_writing_offset

ZPOS64_T zip64_internal::add_position_when_writing_offset

Definition at line 174 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), Write_EndOfCentralDirectoryRecord(), Write_Zip64EndOfCentralDirectoryLocator(), Write_Zip64EndOfCentralDirectoryRecord(), zipClose(), zipOpen3(), and zipOpenNewFileInZip4_64().

## ◆ begin_pos

ZPOS64_T zip64_internal::begin_pos

Definition at line 173 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), and zipOpen3().

## ◆ central_dir

linkedlist_data zip64_internal::central_dir

Definition at line 169 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), zipClose(), zipCloseFileInZipRaw64(), and zipOpen3().

## ◆ ci

curfile64_info zip64_internal::ci

Definition at line 171 of file zip.c.

Referenced by Write_LocalFileHeader(), zip64FlushWriteBuffer(), zipCloseFileInZipRaw64(), zipOpen3(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ filestream

voidpf zip64_internal::filestream

Definition at line 168 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), Write_EndOfCentralDirectoryRecord(), Write_GlobalComment(), Write_LocalFileHeader(), Write_Zip64EndOfCentralDirectoryLocator(), Write_Zip64EndOfCentralDirectoryRecord(), zip64FlushWriteBuffer(), zipClose(), zipCloseFileInZipRaw64(), zipOpen3(), and zipOpenNewFileInZip4_64().

## ◆ globalcomment

char* zip64_internal::globalcomment

Definition at line 178 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), zipClose(), and zipOpen3().

## ◆ in_opened_file_inzip

int zip64_internal::in_opened_file_inzip

Definition at line 170 of file zip.c.

Referenced by zipClose(), zipCloseFileInZipRaw64(), zipOpen3(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ number_entry

ZPOS64_T zip64_internal::number_entry

Definition at line 175 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), Write_EndOfCentralDirectoryRecord(), Write_Zip64EndOfCentralDirectoryRecord(), zipClose(), zipCloseFileInZipRaw64(), and zipOpen3().

## ◆ z_filefunc

zlib_filefunc64_32_def zip64_internal::z_filefunc

Definition at line 167 of file zip.c.

Referenced by LoadCentralDirectoryRecord(), Write_EndOfCentralDirectoryRecord(), Write_GlobalComment(), Write_LocalFileHeader(), Write_Zip64EndOfCentralDirectoryLocator(), Write_Zip64EndOfCentralDirectoryRecord(), zip64FlushWriteBuffer(), zipClose(), zipCloseFileInZipRaw64(), zipOpen3(), and zipOpenNewFileInZip4_64().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/minizip/zip.c